require_relative '_test_helper'

describe Taiyoji do
  it "finds the prime meridian (0 degree longitude)" do
    Taiyoji.solar_offset(0).must_equal 0
  end

  it "finds Tsuruhashi Station's offset" do
    Taiyoji.solar_offset(135.529747).must_equal 32527
  end

  it "finds negative offsets" do
    Taiyoji.solar_offset(-50.387846).must_equal -12093
  end

  it "works fine with integers" do
    Taiyoji.solar_offset(13).must_equal 3120
  end

  it "raises a longitude error" do
    -> { Taiyoji.solar_offset 42_000 }.must_raise Taiyoji::InvalidLongitudeError
  end
end
